Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::FactoryObj< T > Class Template Reference

Abstract factory class. More...

`#include <OgreFactoryObj.h>`

List of all members.

## Public Methods

virtual | ~FactoryObj ()
virtual String | getType () const=0
| Returns the factory type.
virtual T * | createObj (const String &name)=0
| 'Produces' a new object.

## Detailed Description

### template<typename T>
class Ogre::FactoryObj< T >

Abstract factory class.

Does nothing by itself, but derived classes can add functionality.

Definition at line 35 of file OgreFactoryObj.h.

## Constructor & Destructor Documentation

template<typename T>
virtual Ogre::FactoryObj< T >::~FactoryObj | ( |  | ) | `[virtual]`

| Definition at line 38 of file OgreFactoryObj.h.

## Member Function Documentation

template<typename T>
virtual T* Ogre::FactoryObj< T >::createObj | ( | const String & | name | ) | `[pure virtual]`

'Produces' a new object.

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implemented in Ogre::ArchiveFactory, and Ogre::ZipArchiveFactory.

template<typename T>
virtual String Ogre::FactoryObj< T >::getType | ( |  | ) | const`[pure virtual]`

Returns the factory type.

Returns:
  The factory type.

Implemented in Ogre::ArchiveFactory, and Ogre::ZipArchiveFactory.

The documentation for this class was generated from the following file:

- OgreFactoryObj.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:58 2004